# PhasicFlow: utilities/Utilities/vtkFile/vtkByteSwapper.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

vtkByteSwapper.hpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | vtkByteSwapper< s >
struct | vtkByteSwapper< 1 >
| with char, no re-ordering is required More...
struct | vtkByteSwapper< 2 >
| re-order 2-byte data More...
struct | vtkByteSwapper< 4 >
| re-order 4-byte data More...
struct | vtkByteSwapper< 8 >
| re-order of 8-byte data More...

## Namespaces

| pFlow

## Functions

template<typename T >
T | byteSwaper (const T &p)